astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- dynamic_transform_matrix

# dynamic_transform_matrix

`astropy.coordinates.transformations.``dynamic_transform_matrix`(fromsys, tosys, priority=1)

  A function decorator for defining transformations between coordinate systems using a function that yields a matrix.

  The decorated function should accept a single argument, the coordinate object to be transformed, and should return a 3 x 3 matrix.

  Note

  If decorating a static method of a class, `@staticmethod` should be added above this decorator.

  Parameters:

  fromsys : class

  > The coordinate system this function starts from.

  tosys : class

  > The coordinate system this function results in.

  priority : number

  > The priority if this transform when finding the shortest coordinate tranform path - large numbers are lower priorities.